View Issue Details

IDProjectCategoryView StatusLast Update
0006983Talermechant backendpublic2021-09-02 18:23
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006983: public orders response status code differs depending on whether long-polling is used
DescriptionGET http://localhost:8083/orders/2021.218-02GCFZPZT5HZY?session_id=mysession-one
=> Returns 402 for an unclaimed order

GET http://localhost:8083/orders/2021.218-02GCFZPZT5HZY?session_id=mysession-one&timeout_ms=500
=> Returns 403 for an unclaimed order

Reproducible via: taler-wallet-cli testing run-integrationtests merchant-longpolling

(Newly added to the merchant test suite)
TagsNo tags attached.

Activities

Florian Dold

2021-08-06 18:52

manager   ~0018081

The test case specifically sets create_token=false in the order creation.

IMHO this is also a bit of a specification issue. The documentation isn't even really clear what to return when the order is unclaimed.

When the client requests an HTML page, we clearly need to show the page with the QR code. But the wallet would usually not even make this request.

Christian Grothoff

2021-08-07 15:40

manager   ~0018082

Fixed in d66d8a9..8e703ec

Christian Grothoff

2021-09-02 18:23

manager   ~0018343

Fix committed to master branch.

Related Changesets

merchant: master 8e703ec5

2021-08-07 15:37:21

Christian Grothoff

Details Diff
fix 0006983: do not keep contract terms across transactions Affected Issues
0006983
mod - src/backend/taler-merchant-httpd_get-orders-ID.c Diff File

Issue History

Date Modified Username Field Change
2021-08-06 18:50 Florian Dold New Issue
2021-08-06 18:50 Florian Dold Status new => assigned
2021-08-06 18:50 Florian Dold Assigned To => Christian Grothoff
2021-08-06 18:50 Florian Dold Description Updated
2021-08-06 18:52 Florian Dold Note Added: 0018081
2021-08-07 15:40 Christian Grothoff Status assigned => resolved
2021-08-07 15:40 Christian Grothoff Resolution open => fixed
2021-08-07 15:40 Christian Grothoff Fixed in Version => 0.8
2021-08-07 15:40 Christian Grothoff Note Added: 0018082
2021-08-07 15:41 Christian Grothoff Product Version => git (master)
2021-08-07 15:41 Christian Grothoff Target Version => 0.8
2021-08-24 16:22 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master 8e703ec5
2021-09-02 18:23 Christian Grothoff Note Added: 0018343